Linux 5.0 black screen on boot, display flickers (i915 regression with certain laptop panels)

Bug #1824216 reported by Robert Strube on 2019-04-10
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
On my Dell XPS 9575, I get a black screen on boot when running the 19.04 live image, OR after updating from 18.10 to 19.04. It appears to be a kernel related bug that was introduced in 5.0 that is affected by certain laptop panels not conforming to their stated specifications.

Several other Dell systems exhibit the same issue, and it's very possible that there are other panels used on other systems that will also have the same issues.

Intel is aware of this issue and has already created a patch. You can see the relevant threads here:

https://bugs.freedesktop.org/show_bug.cgi?id=109959

And the patch here:

https://patchwork.freedesktop.org/patch/296411/

It would be fantastic to get this patch applied before release, as it would be very difficult install 19.04 on the affected systems otherwise. I was able to get the live image booted by adding the nomodeset kernel parameter to grub, so as a work around you can use this approach to install.

[Test case]
boot a kernel with the revert

[Regression potential]
shouldn't be any, since this reverts to what was used on kernels before 5.0

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1824216

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Unfortunately due to the nature of this bug, it's very hard to get any concrete logs (at least I'm not sure how to). If I boot with kernel modesetting for i915, then I can't even get to the ttys to pull down a dmesg. I'd rather not install 19.04 (wiping out my existing 18.10 installation) to track down the logs. The links that I provided do contain very detailed information about the problem. I've also confirmed that Fedora 30 beta also has the same problems - although there's a proposed patch/fix with kernel 5.0.7 that might make it in before release.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Robert Strube (robstrube) wrote :

Here's a link to the Fedora bug report tracking the same issue:

https://bugzilla.redhat.com/show_bug.cgi?id=1695275 which also includes lots of useful information.

Robert Strube (robstrube) wrote :
Robert Strube (robstrube) wrote :

So I'm not sure if this bug is actually a duplicate after all. I've done a fresh install of 19.04 and upgraded to kernel 5.0.0-11.12 (which supposedly fixed the other bug), and the link training issues with my Dell XPS 9575 laptop panel are still present. So it looks like the primary issue i'm experiencing has not yet been resolved.

Robert Strube (robstrube) wrote :

Here are the relevant portions of my dmesg with drm.debug=14 as a boot paramater. You can see my laptops display panel is still failing link training.

21:00:11 kernel: [drm:intel_dp_get_link_train_fallback_values [i915]] Retrying Link training for eDP with same parameters
21:00:11 kernel: [drm:intel_dp_start_link_train [i915]] [CONNECTOR:85:eDP-1] Link Training failed at link rate = 324000, lane count = 1
21:00:11 kernel: [drm:intel_dp_set_signal_levels [i915]] Using pre-emphasis level 0
21:00:11 kernel: [drm:intel_dp_program_link_training_pattern [i915]] Using DP training pattern TPS1
21:00:11 kernel: [drm:intel_dp_set_signal_levels [i915]] Using pre-emphasis level 0
21:00:11 kernel: [drm:intel_dp_start_link_train [i915]] Using LINK_RATE_SET value 04

Robert Strube (robstrube) wrote :

OK reading the original bug reports more closely, this *does* appear to be a different bug entirely. Because we never see a cursor on the screen, the laptop panel literally fails link training.

summary: - Linux 5.0 regression i915 module, black screen on boot for certain
- laptop panels
+ Linux 5.0 black screen on boot, display flickers (i915 regression with
+ certain laptop panels)
Robert Strube (robstrube) wrote :

I've compiled a mainline build from here: https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.0.7/.

I applied all the Ubuntu patches as well as the patch from here: https://patchwork.freedesktop.org/patch/296411/

Raw patch download here: https://patchwork.freedesktop.org/patch/296411/raw/

And things are working correctly again. It looks like Intel devs have cherry picked this fix into intel-drm-fixes, so hopefully this gets into mainline 5.0.8 and eventually trickles down to the Ubuntu kernels.

If possible it would be great to manually apply this patch to the release kernel for 19.04 so people won't have problems installing.

Timo Aaltonen (tjaalton) on 2019-04-14
description: updated
Seth Forshee (sforshee) on 2019-04-14
Changed in linux (Ubuntu Disco):
status: Confirmed → Fix Committed
Steve Pentland (spentland) wrote :

Kernel 5.0.0-13 currently in proposed fixes this issue on my XPS 15 2-in-1 (9575)

Robert Strube (robstrube) wrote :

Kernel 5.0.0-13 (currently in disco-proposed) also solves this problem on my XPS 15 9575 2-in-1 with a 1080p laptop panel. Thanks @sforshee for getting this fix in so quickly!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.0.0-13.14

---------------
linux (5.0.0-13.14) disco; urgency=medium

  * linux: 5.0.0-13.14 -proposed tracker (LP: #1824819)

  * Display only has 640x480 (LP: #1824677)
    - Revert "UBUNTU: SAUCE: drm/nouveau: Disable nouveau driver by default"

  * shiftfs: use after free when checking mount options (LP: #1824735)
    - SAUCE: shiftfs: prevent use-after-free when verifying mount options

linux (5.0.0-12.13) disco; urgency=medium

  * linux: 5.0.0-12.13 -proposed tracker (LP: #1824726)

  * Linux 5.0 black screen on boot, display flickers (i915 regression with
    certain laptop panels) (LP: #1824216)
    - drm/i915/dp: revert back to max link rate and lane count on eDP

  * kernel BUG at fs/attr.c:287 when using shiftfs (LP: #1824717)
    - SAUCE: shiftfs: fix passing of attrs to underaly for setattr

 -- Seth Forshee <email address hidden> Mon, 15 Apr 2019 09:11:23 -0500

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
VanVan (w-o) wrote :

I still have this problem with Linux 5.1.7 on Ubuntu 19.04 with Asus UX433FN !

VanVan (w-o) wrote :

A new BIOS version (304) was released for the UX433FN that fix the problem !

can't even install Ubuntu 19.04 on Asus vivobook s15 s530uf. Black screen, even the installer USB stops blinking. But I can install it using the `safe graphics` option. But when I reboot it gets stuck at the black screen. Frustrated.

VanVan (w-o) wrote :

Asus vivobook s15 s530uf has the same new BIOS 304 released, You need to test it before posting here
https://www.asus.com/za/Laptops/ASUS-VivoBook-S15-S530UF/HelpDesk_BIOS/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.